--- fltk118-utf8-2008-02-24/src/Fl_x.cxx	2007-12-17 19:37:13.000000000 +0200
+++ fltk118-utf8-2008-02-24.new/src/Fl_x.cxx	2008-05-02 15:22:49.000000000 +0300
@@ -500,6 +500,10 @@
         if (fl_xim_im) return;
 
         fl_xim_im = XOpenIM(fl_display, NULL, NULL, NULL);
+  	if (!fl_xim_im) { // try X11 local input method
+        	XSetLocaleModifiers("@im=local");
+        	fl_xim_im = XOpenIM(fl_display, NULL, NULL, NULL);
+       }
         xim_styles = NULL;
         fl_xim_ic = NULL;
 
